# Created by pyp2rpm-3.3.8
%global pypi_name docrepr

%bcond_with check

Name:           python-%{pypi_name}
Version:        0.2.0
Release:        %mkrel 2
Summary:        Renders Python docstrings to rich HTML
Group:          Development/Python
License:        BSD-3-clause
URL:            https://github.com/spyder-ide/docrepr
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Docrepr renders Python docstrings to HTML with Sphinx. It can generate rich and
plain representations of docstrings, alongside additional metadata about the
object to which the docstring belongs.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Docrepr renders Python docstrings to HTML with Sphinx. It can generate rich and
plain representations of docstrings, alongside additional metadata about the
object to which the docstring belongs.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x test}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md


%changelog
* Tue Dec 19 2023 papoteur <papoteur> 0.2.0-2.mga10
+ Revision: 2019509
- Mass Rebuild - Python 3.12

* Sun Feb 19 2023 wally <wally> 0.2.0-1.mga9
+ Revision: 1944085
- imported package python-docrepr

